"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeCanvas = void 0;
//@ts-ignore: ignore import errors because its dynamicly loaded from pdfdataextractor
const canvas_1 = require("canvas");
const util_1 = require("util");
/**
 * implementation for node-canvas
 */
class NodeCanvas {
    /**
     * @internal
     */
    constructor(width, height) {
        this.canvas = (0, canvas_1.createCanvas)(width, height);
    }
    /**
     * @internal
     */
    toPNG() {
        return (0, util_1.promisify)(this.canvas.toBuffer)('image/png');
    }
    /**
     * @internal
     */
    toJPEG(quality) {
        return (0, util_1.promisify)(this.canvas.toBuffer)('image/jpeg', {
            quality: quality
        });
    }
    /**
     * @internal
     */
    createContext() {
        return this.canvas.getContext('2d');
    }
    /**
     * @internal
     */
    reset(width, height) {
        this.canvas.width = width;
        this.canvas.height = height;
    }
    /**
     * @internal
     */
    destroy() {
        this.canvas.width = 0;
        this.canvas.height = 0;
    }
}
exports.NodeCanvas = NodeCanvas;
//# sourceMappingURL=nodecanvas.js.map