"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeSkiaCanvas = void 0;
//@ts-ignore: ignore import errors because its dynamicly loaded from pdfdataextractor
const canvas_1 = require("@napi-rs/canvas");
/**
 * implementation for node-skia
 */
class NodeSkiaCanvas {
    /**
     * @internal
     */
    constructor(width, height) {
        this.canvas = (0, canvas_1.createCanvas)(width, height);
    }
    /**
     * @internal
     */
    toPNG() {
        return this.canvas.encode('png');
    }
    /**
     * @internal
     */
    toJPEG(quality) {
        return this.canvas.encode('jpeg', quality);
    }
    /**
     * @internal
     */
    createContext() {
        return this.canvas.getContext('2d');
    }
    /**
     * @internal
     */
    reset(width, height) {
        this.canvas.width = width;
        this.canvas.height = height;
    }
    /**
     * @internal
     */
    destroy() {
        this.canvas.width = 0;
        this.canvas.height = 0;
    }
}
exports.NodeSkiaCanvas = NodeSkiaCanvas;
//# sourceMappingURL=nodeskiacanvas.js.map