"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PureimageCanvas = void 0;
//@ts-ignore: ignore import errors because its dynamicly loaded from pdfdataextractor
const pureimage_1 = require("pureimage");
const stream_1 = require("stream");
/**
 * default implementation for pureimage
 * look at the {CanvasApi} doc
 */
class PureimageCanvas {
    /**
     * @internal
     */
    constructor(width, height) {
        this.bitmap = (0, pureimage_1.make)(width, height);
    }
    /**
     * @internal
     */
    async toPNG() {
        const result = [];
        const stream = new stream_1.PassThrough();
        stream.on('data', (data) => result.push(data));
        await (0, pureimage_1.encodePNGToStream)(this.bitmap, stream);
        return Buffer.concat(result);
    }
    /**
     * @internal
     */
    async toJPEG(quality) {
        const result = [];
        const stream = new stream_1.PassThrough();
        stream.on('data', (data) => result.push(data));
        await (0, pureimage_1.encodeJPEGToStream)(this.bitmap, stream, quality);
        return Buffer.concat(result);
    }
    /**
     * @internal
     */
    createContext() {
        return this.bitmap.getContext('2d');
    }
    /**
     * @internal
     */
    reset(width, height) {
        this.bitmap.width = width;
        this.bitmap.height = height;
    }
    /**
     * @internal
     */
    destroy() {
        this.bitmap.width = 0;
        this.bitmap.height = 0;
    }
}
exports.PureimageCanvas = PureimageCanvas;
//# sourceMappingURL=pureimagecanvas.js.map